CFLAGS +=-std=c99 -Wall -Wextra -pedantic -g -O2 -pthread -D_GNU_SOURCE
LDFLAGS+=-pthread -lmpi -lopen-rte -lopen-pal -ldl -Wl,--export-dynamic \
		 -lnsl -lutil -lm -ldl

MAIN   = main
OFILES = $($(wildcard *.c):.c=.o)

$(MAIN): $(OFILES)

clean:
	rm -vf $(MAIN) $(OFILES)

check-syntax:
	$(CXX) $(CXXFLAGS) -fsyntax-only ${CHK_SOURCES}
